Intermittent gmake[4]: *** [mobile/android/base/libs] Error 2 on Taskcluster builds

RESOLVED FIXED

Status

Taskcluster
General
RESOLVED FIXED
3 years ago
3 years ago

People

(Reporter: nigelb, Unassigned)

Tracking

Details

(URL)

Attachments

(1 attachment)

(Reporter)

Description

3 years ago
https://treeherder.mozilla.org/logviewer.html#?job_id=15434307&repo=mozilla-inbound


 03:44:14     INFO -  /home/worker/workspace/build/src/android-sdk-linux/build-tools/23.0.1/dx --dex --output=classes.dex jars-proguarded

 03:44:26     INFO -  ../../../config/nsinstall -R classes.dex ../../../dist/bin

 03:44:26     INFO -  *****************************************************

 03:44:26     INFO -  ***   Error: The generated JNI code has changed   ***

 03:44:26     INFO -  * To update generated code in the tree, please run  *

 03:44:26     INFO -    make -C /home/worker/workspace/build/src/obj-firefox/mobile/android/base update-generated-wrappers

 03:44:26     INFO -  * Repeat the build, and check in any changes.       *

 03:44:26     INFO -  *****************************************************

 03:44:26     INFO -  gmake[5]: *** [libs] Error 1

 03:44:26     INFO -  gmake[5]: Leaving directory `/home/worker/workspace/build/src/obj-firefox/mobile/android/base'

 03:44:26     INFO -  gmake[4]: *** [mobile/android/base/libs] Error 2

 03:44:26     INFO -  gmake[4]: Leaving directory `/home/worker/workspace/build/src/obj-firefox'

 03:44:26     INFO -  gmake[3]: *** [libs] Error 2

 03:44:26     INFO -  gmake[3]: Leaving directory `/home/worker/workspace/build/src/obj-firefox'

 03:44:26     INFO -  gmake[2]: *** [default] Error 2

 03:44:26     INFO -  gmake[2]: Leaving directory `/home/worker/workspace/build/src/obj-firefox'

 03:44:26     INFO -  gmake[1]: *** [realbuild] Error 2

 03:44:26     INFO -  gmake[1]: Leaving directory `/home/worker/workspace/build/src'

 03:44:26     INFO -  gmake: *** [build] Error 2

 03:44:26     INFO -  393 compiler warnings present.

 03:44:27     INFO -  Notification center failed: Install the python dbus module to get a notification when the build finishes.

 03:44:27    ERROR - Return code: 2

 03:44:27  WARNING - setting return code to 2

 03:44:27    FATAL - 'mach build' did not run successfully. Please check log for errors.

 03:44:27    FATAL - Running post_fatal callback...

 03:44:27    FATAL - Exiting -1

 03:44:27     INFO - Running post-action listener: influxdb_recording_post_action

 03:44:27     INFO - Running post-action listener: record_mach_stats

 03:44:27     INFO - Running post-run listener: _summarize

 03:44:27    ERROR - # TBPL FAILURE #

 03:44:27     INFO - #####

 03:44:27     INFO - ##### FxDesktopBuild summary:

 03:44:27     INFO - #####

 03:44:27    ERROR - # TBPL FAILURE #

Comment 1

3 years ago
72 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 31
* fx-team: 19
* b2g-inbound: 14
* mozilla-central: 5
* try: 3

Platform breakdown:
* android-4-0-armv7-api11: 71
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1213170&startday=2015-10-09&endday=2015-10-09&tree=all

Comment 2

3 years ago
94 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 43
* fx-team: 25
* b2g-inbound: 18
* mozilla-central: 5
* try: 3

Platform breakdown:
* android-4-0-armv7-api11: 93
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1213170&startday=2015-10-05&endday=2015-10-11&tree=all
(Reporter)

Comment 3

3 years ago
jlund, I'm told you would be able to help since it's b2gdroid.
Flags: needinfo?(jlund)

Comment 4

3 years ago
72 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 40
* b2g-inbound: 19
* fx-team: 8
* mozilla-central: 5

Platform breakdown:
* android-4-0-armv7-api11: 72

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1213170&startday=2015-10-12&endday=2015-10-12&tree=all
Fairly sure this is fallout from bug 1197010, where I flipped MOZ_WEBSMS_BACKEND on B2GDroid. See https://dxr.mozilla.org/mozilla-central/source/mobile/android/base/Makefile.in#216

Looks like the long term solution is bug 839587.
Created attachment 8672919 [details] [diff] [review]
Always auto-genereate stubs for GeckoSmsManager
Attachment #8672919 - Flags: review?(nalexander)

Comment 7

3 years ago
clearing ni bc of comment 5-6
Flags: needinfo?(jlund)
Comment on attachment 8672919 [details] [diff] [review]
Always auto-genereate stubs for GeckoSmsManager

Review of attachment 8672919 [details] [diff] [review]:
-----------------------------------------------------------------

We don't want this to be included in Fennec, right?  And it's not clear to me that this will work for b2gdroid and Fennec as written.  Please push a try build.

Fundamentally the JNI work for Android never envisioned multiple products.  We'll have to do some thinking about how to support this better; perhaps ckitching's old "real annotation processor" approach in Bug 1067217 is needed.
Comment on attachment 8672919 [details] [diff] [review]
Always auto-genereate stubs for GeckoSmsManager

Review of attachment 8672919 [details] [diff] [review]:
-----------------------------------------------------------------

Sorry, r- until I see the try and understand more; r+ after discussion, I expect.
Attachment #8672919 - Flags: review?(nalexander) → review-
This is jchen territory. jchen, do you have a vision for how this should be addressed?  If not, I can add this to my list.
Flags: needinfo?(nchen)
I agree with Bug 1067217 being the proper solution, but I don't know how much work that bug requires.

In the meantime, the patch here will increase the size of libmozglue.so for Fennec slightly, but I think it's okay as a trivial workaround. We could figure out how to generate two sets of bindings, but I think that time is probably better spent working on something else, perhaps Bug 1067217.
Flags: needinfo?(nchen)
Comment on attachment 8672919 [details] [diff] [review]
Always auto-genereate stubs for GeckoSmsManager

14:52 <nalexander> reuben: fabrice: jchen's cool with that work-around, bombs away.  Looks like you already landed.  Flip the review flag for me, pleas3e.
Attachment #8672919 - Flags: review- → review+

Comment 17

3 years ago
95 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 45
* b2g-inbound: 27
* fx-team: 18
* mozilla-central: 4
* try: 1

Platform breakdown:
* android-4-0-armv7-api11: 95

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1213170&startday=2015-10-13&endday=2015-10-13&tree=all

Comment 19

3 years ago
49 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 33
* fx-team: 10
* try: 6

Platform breakdown:
* android-4-0-armv7-api11: 44
* mulet-linux64: 2
* android-4-3-armv7-api11: 2
* b2g-device-image: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1213170&startday=2015-10-14&endday=2015-10-14&tree=all

Comment 20

3 years ago
233 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 127
* b2g-inbound: 46
* fx-team: 41
* mozilla-central: 10
* try: 9

Platform breakdown:
* android-4-0-armv7-api11: 227
* mulet-linux64: 3
* android-4-3-armv7-api11: 2
* b2g-device-image: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1213170&startday=2015-10-12&endday=2015-10-18&tree=all
For everybody getting this bugspam, the graph in brasstacks suggests that this isn't intermittent any longer -- it's really fixed.
Keywords: intermittent-failure
You need to log in before you can comment on or make changes to this bug.